Month: September 2016

Does sky3ds+ support One Piece: Great Pirate Colosseum (JP) on 2DS/3DSv11.1.0?

one-piece-great-pirate-colosseum-sky3ds-plus

One Piece: Great Pirate Colosseum- the most exciting 3DS game in September has been released. There should be no problem with playing this game with SKY3DS+ on 3DSv11.1.0.

It is an action play video game that is developed and published by BNEI for Nintendo 3DS in Japan on Sep 21. This work features 23 playable characters and over 80 assist characters. There is a new model of this work which allows players travel all around the world and form their own pirates teams. This work also supports online play and player can battle with rivals from all over the country.

Just download 3ds rom(One Piece: Great Pirate Colosseum.3ds) from reliable site and copy it to microSD card FAT32. Insert microSD to sky3ds+card, then insert sky3ds+ to 2DS/3DS11.1J. Please note that One Piece: Great Pirate Colosseum only works on 2DS/3DS11.0 and above version. If your 2DS/3DS firmware version is blew 11.0, the system will inform you to update it when you run this game.

As this game is in JP region, you can only play it on JP region 2DS/3DS console directly. If you want to play One Piece: Great Pirate Colosseum (JP) on your 2DS/3DS EU/US, you can install Freakyhax or Ninjhax 2.7 to home launcher and run region free launcher to play this game.

One Piece: Great Pirate Colosseum works on 3DSv11.1.0-34J with sky3ds+img_20160926_112907img_20160926_113132

Advertisements

Freakyhax with Sky3ds+ supports 3DS11.1.0-34E/U/J

Several days ago, Nintendo new system version 11.1.0-34 has been updated. We found that many 3DS homebrew exploits has been patched by the newest firmware v11.1. Currently famous browerhax and menuhax can not work on 3DSv11.1. But it is happy to tell you that freakyhax has been updated for latest firmware 3DS11.1.0-34 E/U/J by its developer plutoo who tweet this great news on his twitter several hours ago.

11-1-freakyhax0
For Freakyhax and sky3ds+ users, you can now update your 3DS to v11.1. We all know that users need a EUR/USA/JAP copy of 3DS game Freakyforms Deluxe for installing Freakyhax with sky3ds+.
We have installed freakyhax with sky3ds+ on our 3DSv11.1.0-34E and it works well. Freakyhax user instruction

11-1-freakyhax111-1-freakyhax2
Please note that otherapp payloads for 11.1 has been updated. If you have installed Freakyhax on 3DS lower version, you need to redownload the latest otherapp payloads for your 3DSv11.1. If you still use old otherapp payloads for 3DS v11.1, Freakyhax will not work.

 

Confirmed! SKY3DS+/SKY3DS supports Nintendo 3DS system update v11.1.0-34U/E

3ds11-1

Few hours ago, Nintendo official team just updated a new system firmware which applies to New Nintendo 3DS, New Nintendo 3DS XL, Nintendo 3DS, Nintendo 3DS XL, Nintendo 2DS. The new system update is 3DSv11.1.0-34U/E.

Version 11.1.0-34U available via wireless Internet connection includes the following improvements:
Further improvements to overall system stability and other minor adjustments have been made to enhance the user experience

We just updated our 3DSv11.0.0-33J to the latest system version and test one new/old 3ds game on orange button sky3ds+ and blue button sky3ds. We can tell you that sky3ds+/sky3ds works well on the newest syetem version 3DSv11.1.0-34.

If you just use sky3ds+sky3ds to play 3ds games, you can now update your console. Or if you have installed 3ds homebrew we recommend you avoid updating your console until we can confirm what has and hasn’t been patched.

Sky3ds+ and sky3ds are the two 3ds flashcart which can support 3ds roms on 11.1.0-34. Gateway 3DS, mt-card and r4i gold deluxe edition still can not support it.
GATEWAY 3DS (3DSv4.1-9.2)
MT-CARD (3DSv4.1-4.5)
R4I GOLD 3DS DELUXE EDITION (3DSv4.1-4.5)

Sky3ds+ supports Dragon Ball Fusion on 3DSv11.1.0-34J without any problem3ds11-1-0
Sky3ds works well with Cubic Ninja on 3DSv11.1.0-34J3ds-11-0

 

Orange button sky3ds+ supports 3DS Dragon Ball Fusions(JAP)

dragon-ball-fusionsjap-sky3ds1

Dragon Ball Fusions is a new game which has been released for Nintendo 3DS in Japan on August 4. It is an RPG work which enables players to explore dragon ball world. The main character will team and takes the adventure with characters from different kinds of dragon ball worlds. The major feature of this game is that there is no condition of use with fusions. And players can fuse different characters, then create fantastic Z fighters.

After one month, we finally get the rom of Dragon Ball Fusions(JAP) which dumped from original cartridge. Copy 3ds rom to your microSD card and insert microSD card to sky3ds+. Bootup 3DS with sky3ds+ inserted. There is no doubt that 3DS Dragon Ball Fusions(JAP) works with 3ds flashcart sky3ds+.

Here are the pictures of sky3ds+ playing Dragon Ball Fusions(JAP) on 3DS10.7.0-32Jdragon-ball-fusionsjap-sky3ds2dragon-ball-fusionsjap-sky3ds3